org.apache.ignite.internal.processors.cache.mvcc

## Interface MvccCoordinatorChangeAware

All Known Subinterfaces:
  MvccQueryTracker

All Known Implementing Classes:
  GridNearTxLocal, MvccQueryTrackerImpl, StaticMvccQueryTracker

    public interface MvccCoordinatorChangeAware

### Field Summary

Fields
`static AtomicLong` `ID_CNTR`
`static LongPredicate` `ID_FILTER`
`static long` `MVCC_TRACKER_ID_NA`

### Method Summary

All Methods Instance Methods Default Methods
`default long` `onMvccCoordinatorChange(MvccCoordinator newCrd)` Mvcc coordinator change callback.

### Field Detail

#### ID_CNTR

    static final AtomicLong ID_CNTR

#### MVCC_TRACKER_ID_NA

    static final long MVCC_TRACKER_ID_NA

See Also:
  Constant Field Values

#### ID_FILTER

    static final LongPredicate ID_FILTER

### Method Detail

#### onMvccCoordinatorChange

    default long onMvccCoordinatorChange(MvccCoordinator newCrd)

Mvcc coordinator change callback.

Parameters:
  `newCrd` - New mvcc coordinator.
Returns:
  Query id if exists.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020